Module jdk.security.auth
Package com.sun.security.auth

## Class SolarisNumericUserPrincipal

- java.lang.Object
- - com.sun.security.auth.SolarisNumericUserPrincipal

- All Implemented Interfaces:
    `Serializable`, `Principal`

  Deprecated, for removal: This API element is subject to removal in a future version.
  As of JDK 1.4, replaced by `UnixNumericUserPrincipal`. This class is entirely deprecated. This class is subject to removal in a future version of Java SE.

      @Deprecated(since="1.4",
                  forRemoval=true)
      public class SolarisNumericUserPrincipal
      extends Object
      implements Principal, Serializable

  This class implements the `Principal` interface and represents a user's Solaris identification number (UID).

  Principals such as this `SolarisNumericUserPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

  See Also:
    `Principal`, `Subject`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SolarisNumericUserPrincipal​(long name)` | Deprecated, for removal: This API element is subject to removal in a future version. Create a `SolarisNumericUserPrincipal` using a long representation of the user's identification number (UID).
    `SolarisNumericUserPrincipal​(String name)` | Deprecated, for removal: This API element is subject to removal in a future version. Create a `SolarisNumericUserPrincipal` using a `String` representation of the user's identification number (UID).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Deprecated, for removal: This API element is subject to removal in a future version. Compares the specified Object with this `SolarisNumericUserPrincipal` for equality.
    `String` | `getName​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the user identification number (UID) for this `SolarisNumericUserPrincipal`.
    `int` | `hashCode​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return a hash code for this `SolarisNumericUserPrincipal`.
    `long` | `longValue​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the user identification number (UID) for this `SolarisNumericUserPrincipal` as a long.
    `String` | `toString​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return a string representation of this `SolarisNumericUserPrincipal`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Constructor Detail

    - #### SolarisNumericUserPrincipal

          public SolarisNumericUserPrincipal​(String name)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Create a `SolarisNumericUserPrincipal` using a `String` representation of the user's identification number (UID).
      Parameters:
        `name` - the user identification number (UID) for this user.
      Throws:
        `NullPointerException` - if the `name` is `null`.

    - #### SolarisNumericUserPrincipal

          public SolarisNumericUserPrincipal​(long name)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Create a `SolarisNumericUserPrincipal` using a long representation of the user's identification number (UID).
      Parameters:
        `name` - the user identification number (UID) for this user represented as a long.

  - ### Method Detail

    - #### getName

          public String getName​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the user identification number (UID) for this `SolarisNumericUserPrincipal`.
      Specified by:
        `getName` in interface `Principal`
      Returns:
        the user identification number (UID) for this `SolarisNumericUserPrincipal`

    - #### longValue

          public long longValue​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the user identification number (UID) for this `SolarisNumericUserPrincipal` as a long.
      Returns:
        the user identification number (UID) for this `SolarisNumericUserPrincipal` as a long.

    - #### toString

          public String toString​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return a string representation of this `SolarisNumericUserPrincipal`.
      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `SolarisNumericUserPrincipal`.

    - #### equals

          public boolean equals​(Object o)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Compares the specified Object with this `SolarisNumericUserPrincipal` for equality. Returns true if the given object is also a `SolarisNumericUserPrincipal` and the two SolarisNumericUserPrincipals have the same user identification number (UID).
      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - Object to be compared for equality with this `SolarisNumericUserPrincipal`.
      Returns:
        true if the specified Object is equal to this `SolarisNumericUserPrincipal`.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          public int hashCode​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return a hash code for this `SolarisNumericUserPrincipal`.
      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code for this `SolarisNumericUserPrincipal`.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`